Name:           perl-Crypt-DES
Version:        2.03
Release:        5mdk
License:        GPL or Artistic

%define realname	Crypt-DES
Group:          Development/Perl
Summary:	An XS based DES implementation for Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{realname}-%{version}.tar.bz2
Url:		http://www.cpan.org
Prefix:         %{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl-devel
Requires:       perl >= 5.004

%description
an XS-based DES implimentation for Perl

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

#For the full test suite to run, Crypt::CBC, version 1.22 or higher
#is required (recommended is 1.25 or higher)
#make test

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall PREFIX="$RPM_BUILD_ROOT/%{prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST README COPYRIGHT
%{perl_vendorlib}
%{_mandir}/*

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 2.03-5mdk
- rebuild

* Fri Jan 24 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.03-4mdk
- rebuilt

* Mon Aug 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.03-3mdk
- rebuilt against new perl

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.03-2mdk
- 2.03

* Fri Mar  8 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.03-1mdk
- First MandrakeSoft Package
